com.pixelmed.dicom

## Interface AttributeList.ReadTerminationStrategy

- All Known Implementing Classes:
    MediaImporter.OurReadTerminationStrategy, MoveDicomFilesIntoHierarchy.OurReadTerminationStrategy, StudyReceiver.OurReadTerminationStrategy, SynchronizeFromRemoteSCP.OurReadTerminationStrategy
  Enclosing class:
    AttributeList

      public static interface AttributeList.ReadTerminationStrategy

  An interface to supply the criteria for prematurely terminating the reading of a DICOM file.

  Permits more complex strategies than simply stopping at the stopAtTag.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `terminate(AttributeList attributeList, AttributeTag tag, long byteOffset)` Define the criteria for prematurely terminating the reading of a DICOM file.

- - ### Method Detail

    - #### terminate

          boolean terminate(AttributeList attributeList,
                            AttributeTag tag,
                            long byteOffset)

      Define the criteria for prematurely terminating the reading of a DICOM file.

      Permits more complex strategies than simply stopping at the stopAtTag.

      Is tested during the read of the top-level dataset ONLY, i.e., not tested within sequences (which means that is strategy is based on byteOffset, very long sequences might still be read).

      Tested just AFTER a tag has been read, but before the rest of the attribute for that tag, hence will leave the stream positioned just after that tag if reading is stopped (just like the stopAtTag behavior).

      Parameters:
        `attributeList` - the list as read so far
        `tag` - the tag that has just been read
        `byteOffset` - the number of bytes read so far
      Returns:
        true if reading should be stopped